<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Class Hierarchy</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li class="current"><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Class Hierarchy</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock">
<p><a href="hierarchy.html">Go to the textual class hierarchy</a></p>
</div><table border="0" cellspacing="10" cellpadding="0">
<tr><td><img src="inherit_graph_0.png" border="0" alt="" usemap="#_io_interface"/>
<map name="_io_interface" id="_io_interface">
<area shape="rect" id="node1" href="struct_io_interface.html" title="An abstract IO interface. " alt="" coords="6,31,87,57"/>
<area shape="rect" id="node2" href="class_io_interface_file.html" title="The low&#45;level file communication class. " alt="" coords="142,5,245,32"/>
<area shape="rect" id="node3" href="class_stream_interface.html" title="A stream interface. " alt="" coords="137,56,250,83"/>
<area shape="rect" id="node4" href="class_serial_interface.html" title="The low&#45;level serial communication class. " alt="" coords="299,31,403,57"/>
<area shape="rect" id="node5" href="class_usb_interface.html" title="An IoInterface for dealing specifically with Xsens USB devices. " alt="" coords="303,81,398,108"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_1.png" border="0" alt="" usemap="#_i_protocol_handler"/>
<map name="_i_protocol_handler" id="_i_protocol_handler">
<area shape="rect" id="node1" href="class_i_protocol_handler.html" title="Interface class for protocol handlers. " alt="" coords="5,5,123,32"/>
<area shape="rect" id="node2" href="class_protocol_handler.html" title="Message protocol handling class. " alt="" coords="171,5,285,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_2.png" border="0" alt="" usemap="#_legacy_data_packet"/>
<map name="_legacy_data_packet" id="_legacy_data_packet">
<area shape="rect" id="node1" href="struct_legacy_data_packet.html" title="Contains an MTData XsMessage and supports functions for extracting contained data. " alt="" coords="6,5,138,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_3.png" border="0" alt="" usemap="#_message_location"/>
<map name="_message_location" id="_message_location">
<area shape="rect" id="node1" href="class_message_location.html" title="Stores the location of a message in a buffer using a start position and a size. " alt="" coords="6,5,130,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_4.png" border="0" alt="" usemap="#_mtw_sdi_data"/>
<map name="_mtw_sdi_data" id="_mtw_sdi_data">
<area shape="rect" id="node1" href="struct_mtw_sdi_data.html" title="Class to store strapdown integration data. " alt="" coords="6,5,98,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_5.png" border="0" alt="" usemap="#_packet_fixed_data"/>
<map name="_packet_fixed_data" id="_packet_fixed_data">
<area shape="rect" id="node1" href="struct_packet_fixed_data.html" title="A structure containing fixed packet data, which should not change during a measurement for the same d..." alt="" coords="5,5,128,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_6.png" border="0" alt="" usemap="#_packet_info"/>
<map name="_packet_info" id="_packet_info">
<area shape="rect" id="node1" href="struct_packet_info.html" title="Contains offset information about data in the packet. " alt="" coords="5,5,88,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_7.png" border="0" alt="" usemap="#_packet_stamper"/>
<map name="_packet_stamper" id="_packet_stamper">
<area shape="rect" id="node1" href="class_packet_stamper.html" title="Supplies functionality for timestamping data packets. " alt="" coords="5,5,117,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_8.png" border="0" alt="" usemap="#_xs_analog_in_data"/>
<map name="_xs_analog_in_data" id="_xs_analog_in_data">
<area shape="rect" id="node1" href="struct_xs_analog_in_data.html" title="Data from analog inputs from sensors. " alt="" coords="6,5,119,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_9.png" border="0" alt="" usemap="#_xs_array"/>
<map name="_xs_array" id="_xs_array">
<area shape="rect" id="node1" href="struct_xs_array.html" title="Provides generic storage for data in an array and manipulation operations on that data..." alt="" coords="5,351,72,377"/>
<area shape="rect" id="node2" href="struct_xs_array_impl.html" title="A C++ wrapper for XsArray, this is a template class for the actual specialized classes. " alt="" coords="177,5,327,32"/>
<area shape="rect" id="node4" href="struct_xs_array_impl.html" title="XsArrayImpl\&lt; int, g\l_xsIntArrayDescriptor,\l XsIntArray \&gt;" alt="" coords="177,56,327,112"/>
<area shape="rect" id="node6" href="struct_xs_array_impl.html" title="XsArrayImpl\&lt; int64\l_t, g_xsInt64ArrayDescriptor,\l XsInt64Array \&gt;" alt="" coords="157,136,347,192"/>
<area shape="rect" id="node8" href="struct_xs_array_impl.html" title="XsArrayImpl\&lt; uint8\l_t, g_xsByteArrayDescriptor,\l XsByteArray \&gt;" alt="" coords="157,216,347,272"/>
<area shape="rect" id="node10" href="struct_xs_array_impl.html" title="XsArrayImpl\&lt; XsDeviceId,\l g_xsDeviceIdArrayDescriptor,\l XsDeviceIdArray \&gt;" alt="" coords="154,296,350,352"/>
<area shape="rect" id="node12" href="struct_xs_array_impl.html" title="XsArrayImpl\&lt; XsMessage,\l g_xsMessageArrayDescriptor,\l XsMessageArray \&gt;" alt="" coords="151,376,353,432"/>
<area shape="rect" id="node14" href="struct_xs_array_impl.html" title="XsArrayImpl\&lt; XsOutputConfiguration,\l g_xsOutputConfigurationArrayDescriptor,\l XsOutputConfigurationArray \&gt;" alt="" coords="121,456,383,512"/>
<area shape="rect" id="node16" href="struct_xs_array_impl.html" title="XsArrayImpl\&lt; XsPortInfo,\l g_xsPortInfoArrayDescriptor,\l XsPortInfoArray \&gt;" alt="" coords="156,536,348,592"/>
<area shape="rect" id="node18" href="struct_xs_array_impl.html" title="XsArrayImpl\&lt; XsString,\l g_xsStringArrayDescriptor,\l XsStringArray \&gt;" alt="" coords="161,616,343,672"/>
<area shape="rect" id="node20" href="struct_xs_array_impl.html" title="XsArrayImpl\&lt; XsSyncSetting,\l g_xsSyncSettingArrayDescriptor,\l XsSyncSettingArray \&gt;" alt="" coords="143,696,361,752"/>
<area shape="rect" id="node3" href="struct_xs_string.html" title="A 0&#45;terminated managed string of characters. " alt="" coords="487,5,558,32"/>
<area shape="rect" id="node5" href="struct_xs_int_array.html" title="A list of XsInt values. " alt="" coords="482,71,563,97"/>
<area shape="rect" id="node7" href="struct_xs_int64_array.html" title="A list of int64_t values. " alt="" coords="475,151,570,177"/>
<area shape="rect" id="node9" href="struct_xs_byte_array.html" title="A list of uint8_t values. " alt="" coords="475,231,570,257"/>
<area shape="rect" id="node11" href="struct_xs_device_id_array.html" title="A list of XsDeviceId values. " alt="" coords="465,311,580,337"/>
<area shape="rect" id="node13" href="struct_xs_message_array.html" title="A list of XsMessage values. " alt="" coords="463,391,583,417"/>
<area shape="rect" id="node15" href="struct_xs_output_configuration_array.html" title="A list of XsOutputConfiguration values. " alt="" coords="432,471,613,497"/>
<area shape="rect" id="node17" href="struct_xs_port_info_array.html" title="A list of XsPortInfo values. " alt="" coords="467,551,578,577"/>
<area shape="rect" id="node19" href="struct_xs_string_array.html" title="A list of XsString values. " alt="" coords="472,631,573,657"/>
<area shape="rect" id="node21" href="struct_xs_sync_setting_array.html" title="A list of XsSyncSetting values. " alt="" coords="453,711,592,737"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_10.png" border="0" alt="" usemap="#_xs_array_descriptor"/>
<map name="_xs_array_descriptor" id="_xs_array_descriptor">
<area shape="rect" id="node1" href="struct_xs_array_descriptor.html" title="This object describes how to treat the data in an array. " alt="" coords="6,5,133,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_11.png" border="0" alt="" usemap="#_xs_array_impl_3_01_t_00_01_d_00_01_i_01_4_1_1_iterator_impl_base_3_01_f_00_01_r_00_01_derived_01_4"/>
<map name="_xs_array_impl_3_01_t_00_01_d_00_01_i_01_4_1_1_iterator_impl_base_3_01_f_00_01_r_00_01_derived_01_4" id="_xs_array_impl_3_01_t_00_01_d_00_01_i_01_4_1_1_iterator_impl_base_3_01_f_00_01_r_00_01_derived_01_4">
<area shape="rect" id="node1" href="struct_xs_array_impl_1_1_iterator_impl_base.html" title="STL&#45;style iterator. " alt="" coords="6,5,149,61"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_12.png" border="0" alt="" usemap="#_xs_array_impl_3_01_t_00_01_d_00_01_i_01_4_1_1_iterator_impl_base_3_01_f_00_01_t_01const_00_01_iterator_impl_const_3_01_f_01_4_01_4"/>
<map name="_xs_array_impl_3_01_t_00_01_d_00_01_i_01_4_1_1_iterator_impl_base_3_01_f_00_01_t_01const_00_01_iterator_impl_const_3_01_f_01_4_01_4" id="_xs_array_impl_3_01_t_00_01_d_00_01_i_01_4_1_1_iterator_impl_base_3_01_f_00_01_t_01const_00_01_iterator_impl_const_3_01_f_01_4_01_4">
<area shape="rect" id="node1" href="struct_xs_array_impl_1_1_iterator_impl_base.html" title="XsArrayImpl\&lt; T, D,\l I \&gt;::IteratorImplBase\l\&lt; F, T const, IteratorImplConst\l\&lt; F \&gt; \&gt;" alt="" coords="6,5,205,75"/>
<area shape="rect" id="node2" href="struct_xs_array_impl_1_1_iterator_impl_const.html" title="A const iterator implementation. " alt="" coords="253,19,432,61"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_13.png" border="0" alt="" usemap="#_xs_array_impl_3_01_t_00_01_d_00_01_i_01_4_1_1_iterator_impl_base_3_01_f_00_01_t_00_01_iterator_impl_3_01_f_01_4_01_4"/>
<map name="_xs_array_impl_3_01_t_00_01_d_00_01_i_01_4_1_1_iterator_impl_base_3_01_f_00_01_t_00_01_iterator_impl_3_01_f_01_4_01_4" id="_xs_array_impl_3_01_t_00_01_d_00_01_i_01_4_1_1_iterator_impl_base_3_01_f_00_01_t_00_01_iterator_impl_3_01_f_01_4_01_4">
<area shape="rect" id="node1" href="struct_xs_array_impl_1_1_iterator_impl_base.html" title="XsArrayImpl\&lt; T, D,\l I \&gt;::IteratorImplBase\l\&lt; F, T, IteratorImpl\&lt; F \&gt; \&gt;" alt="" coords="5,5,179,61"/>
<area shape="rect" id="node2" href="struct_xs_array_impl_1_1_iterator_impl.html" title="A non&#45;const iterator implementation. " alt="" coords="227,13,373,54"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_14.png" border="0" alt="" usemap="#_xs_atomic_int"/>
<map name="_xs_atomic_int" id="_xs_atomic_int">
<area shape="rect" id="node1" href="struct_xs_atomic_int.html" title="Wrapper class for easy use of XsAtomicIntValue values. " alt="" coords="5,5,96,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_15.png" border="0" alt="" usemap="#_xs_calibrated_data"/>
<map name="_xs_calibrated_data" id="_xs_calibrated_data">
<area shape="rect" id="node1" href="struct_xs_calibrated_data.html" title="Container for combined calibrated measurement data from accelerometers, gyroscopes and magnetometers..." alt="" coords="6,5,127,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_16.png" border="0" alt="" usemap="#_xs_data_format"/>
<map name="_xs_data_format" id="_xs_data_format">
<area shape="rect" id="node1" href="struct_xs_data_format.html" title="A structure for storing data formats. " alt="" coords="5,5,109,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_17.png" border="0" alt="" usemap="#_xs_data_packet"/>
<map name="_xs_data_packet" id="_xs_data_packet">
<area shape="rect" id="node1" href="struct_xs_data_packet.html" title="Contains data received from a device or read from a file. " alt="" coords="5,5,109,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_18.png" border="0" alt="" usemap="#_xs_device_id"/>
<map name="_xs_device_id" id="_xs_device_id">
<area shape="rect" id="node1" href="struct_xs_device_id.html" title="Contains an Xsens device ID and provides operations for determining the type of device. " alt="" coords="6,5,90,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_19.png" border="0" alt="" usemap="#_xs_euler"/>
<map name="_xs_euler" id="_xs_euler">
<area shape="rect" id="node1" href="struct_xs_euler.html" title="Contains Euler Angle data and conversion from Quaternion. " alt="" coords="5,5,72,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_20.png" border="0" alt="" usemap="#_xs_exception"/>
<map name="_xs_exception" id="_xs_exception">
<area shape="rect" id="node2" href="class_xs_exception.html" title="Exception class for Xsens public libraries. Inherits from std::exception. " alt="" coords="134,5,229,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_21.png" border="0" alt="" usemap="#_xs_file"/>
<map name="_xs_file" id="_xs_file">
<area shape="rect" id="node1" href="struct_xs_file.html" title="Encapsulates a file, providing a platform independent interface. " alt="" coords="6,5,63,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_22.png" border="0" alt="" usemap="#_xs_gps_pvt_data"/>
<map name="_xs_gps_pvt_data" id="_xs_gps_pvt_data">
<area shape="rect" id="node1" href="struct_xs_gps_pvt_data.html" title="Data from the GPS unit of a legacy MTi&#45;G. " alt="" coords="6,5,111,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_23.png" border="0" alt="" usemap="#_xs_library_loader"/>
<map name="_xs_library_loader" id="_xs_library_loader">
<area shape="rect" id="node1" href="struct_xs_library_loader.html" title="The Xsens dynamic library loader base class. " alt="" coords="5,5,120,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_24.png" border="0" alt="" usemap="#_xs_lib_usb"/>
<map name="_xs_lib_usb" id="_xs_lib_usb">
<area shape="rect" id="node1" href="class_xs_lib_usb.html" title="Class for dynamic loading of winusb. " alt="" coords="6,5,82,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_25.png" border="0" alt="" usemap="#_xs_matrix"/>
<map name="_xs_matrix" id="_xs_matrix">
<area shape="rect" id="node1" href="struct_xs_matrix.html" title="A class that represents a matrix of real numbers. " alt="" coords="5,5,77,32"/>
<area shape="rect" id="node2" href="struct_xs_matrix3x3.html" title="A class that represents a fixed size (3x3) matrix. " alt="" coords="125,5,219,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_26.png" border="0" alt="" usemap="#_xs_message"/>
<map name="_xs_message" id="_xs_message">
<area shape="rect" id="node1" href="struct_xs_message.html" title="Structure for storing a single message. " alt="" coords="6,5,95,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_27.png" border="0" alt="" usemap="#_xs_message_header"/>
<map name="_xs_message_header" id="_xs_message_header">
<area shape="rect" id="node1" href="struct_xs_message_header.html" title="A message header. " alt="" coords="5,5,136,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_28.png" border="0" alt="" usemap="#_xs_message_header_1_1_length_data"/>
<map name="_xs_message_header_1_1_length_data" id="_xs_message_header_1_1_length_data">
<area shape="rect" id="node1" href="union_xs_message_header_1_1_length_data.html" title="Contains optional extended length of message and first byte of data buffer. " alt="" coords="6,5,210,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_29.png" border="0" alt="" usemap="#_xs_message_header_1_1_length_data_1_1_extended_length"/>
<map name="_xs_message_header_1_1_length_data_1_1_extended_length" id="_xs_message_header_1_1_length_data_1_1_extended_length">
<area shape="rect" id="node1" href="struct_xs_message_header_1_1_length_data_1_1_extended_length.html" title="Contains extended length information and first byte of data buffer if normal length is 255..." alt="" coords="6,5,210,46"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_30.png" border="0" alt="" usemap="#_xs_message_header_1_1_length_data_1_1_extended_length_1_1_extended_parts"/>
<map name="_xs_message_header_1_1_length_data_1_1_extended_length_1_1_extended_parts" id="_xs_message_header_1_1_length_data_1_1_extended_length_1_1_extended_parts">
<area shape="rect" id="node1" href="struct_xs_message_header_1_1_length_data_1_1_extended_length_1_1_extended_parts.html" title="The high and low byte of the extended length. " alt="" coords="5,5,224,46"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_31.png" border="0" alt="" usemap="#_xs_mutex"/>
<map name="_xs_mutex" id="_xs_mutex">
<area shape="rect" id="node1" href="struct_xs_mutex.html" title="A platform independent mutex implementation. " alt="" coords="5,5,77,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_32.png" border="0" alt="" usemap="#_xs_mutex_locker"/>
<map name="_xs_mutex_locker" id="_xs_mutex_locker">
<area shape="rect" id="node1" href="struct_xs_mutex_locker.html" title="A RAII object that ensures mutexes are unlocked when leaving scope. " alt="" coords="6,5,117,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_33.png" border="0" alt="" usemap="#_xs_output_configuration"/>
<map name="_xs_output_configuration" id="_xs_output_configuration">
<area shape="rect" id="node1" href="struct_xs_output_configuration.html" title="Single data type output configuration. " alt="" coords="6,5,157,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_34.png" border="0" alt="" usemap="#_xs_port_info"/>
<map name="_xs_port_info" id="_xs_port_info">
<area shape="rect" id="node1" href="struct_xs_port_info.html" title="Contains a descriptor for opening a communication port to an Xsens device. " alt="" coords="5,5,85,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_35.png" border="0" alt="" usemap="#_xs_pressure"/>
<map name="_xs_pressure" id="_xs_pressure">
<area shape="rect" id="node1" href="struct_xs_pressure.html" title="Pressure data. " alt="" coords="5,5,93,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_36.png" border="0" alt="" usemap="#_xs_quaternion"/>
<map name="_xs_quaternion" id="_xs_quaternion">
<area shape="rect" id="node1" href="struct_xs_quaternion.html" title="A class that implements a quaternion. " alt="" coords="5,5,104,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_37.png" border="0" alt="" usemap="#_xs_range"/>
<map name="_xs_range" id="_xs_range">
<area shape="rect" id="node1" href="struct_xs_range.html" title="A class whose objects can be used to store a range. It provides method to check whether a value is in..." alt="" coords="6,5,79,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_38.png" border="0" alt="" usemap="#_xs_raw_gnss_pvt_data"/>
<map name="_xs_raw_gnss_pvt_data" id="_xs_raw_gnss_pvt_data">
<area shape="rect" id="node1" href="struct_xs_raw_gnss_pvt_data.html" title="A container for GNSS Position Velocity and Time data. " alt="" coords="6,5,143,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_39.png" border="0" alt="" usemap="#_xs_raw_gnss_sat_info"/>
<map name="_xs_raw_gnss_sat_info" id="_xs_raw_gnss_sat_info">
<area shape="rect" id="node1" href="struct_xs_raw_gnss_sat_info.html" title="A container for GNSS Satellite Information. " alt="" coords="6,5,138,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_40.png" border="0" alt="" usemap="#_xs_raw_gps_dop"/>
<map name="_xs_raw_gps_dop" id="_xs_raw_gps_dop">
<area shape="rect" id="node1" href="struct_xs_raw_gps_dop.html" title="A container for NAV&#45;DOP data. " alt="" coords="6,5,114,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_41.png" border="0" alt="" usemap="#_xs_raw_gps_sol"/>
<map name="_xs_raw_gps_sol" id="_xs_raw_gps_sol">
<area shape="rect" id="node1" href="struct_xs_raw_gps_sol.html" title="A container for NAV&#45;SOL data. " alt="" coords="5,5,109,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_42.png" border="0" alt="" usemap="#_xs_raw_gps_sv_info"/>
<map name="_xs_raw_gps_sv_info" id="_xs_raw_gps_sv_info">
<area shape="rect" id="node1" href="struct_xs_raw_gps_sv_info.html" title="A container for NAV&#45;SVINFO data. " alt="" coords="6,5,125,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_43.png" border="0" alt="" usemap="#_xs_raw_gps_time_utc"/>
<map name="_xs_raw_gps_time_utc" id="_xs_raw_gps_time_utc">
<area shape="rect" id="node1" href="struct_xs_raw_gps_time_utc.html" title="A container for NAV&#45;TIMEUTC data. " alt="" coords="5,5,139,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_44.png" border="0" alt="" usemap="#_xs_sat_info"/>
<map name="_xs_sat_info" id="_xs_sat_info">
<area shape="rect" id="node1" href="struct_xs_sat_info.html" title="A container for information of one GNSS satellite. " alt="" coords="6,5,82,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_45.png" border="0" alt="" usemap="#_xs_scr_data"/>
<map name="_xs_scr_data" id="_xs_scr_data">
<area shape="rect" id="node1" href="struct_xs_scr_data.html" title="Container for raw sensor measurement data. " alt="" coords="5,5,88,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_46.png" border="0" alt="" usemap="#_xs_sdi_data"/>
<map name="_xs_sdi_data" id="_xs_sdi_data">
<area shape="rect" id="node1" href="struct_xs_sdi_data.html" title="Contains StrapDown Integration (SDI) data. " alt="" coords="5,5,88,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_47.png" border="0" alt="" usemap="#_xs_simple_version"/>
<map name="_xs_simple_version" id="_xs_simple_version">
<area shape="rect" id="node1" href="struct_xs_simple_version.html" title="A class to store version information. " alt="" coords="5,5,125,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_48.png" border="0" alt="" usemap="#_xs_snapshot"/>
<map name="_xs_snapshot" id="_xs_snapshot">
<area shape="rect" id="node1" href="struct_xs_snapshot.html" title="A container for Snapshot data. " alt="" coords="5,5,96,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_49.png" border="0" alt="" usemap="#_xs_socket"/>
<map name="_xs_socket" id="_xs_socket">
<area shape="rect" id="node1" href="struct_xs_socket.html" title="A platform independent socket implementation. " alt="" coords="5,5,83,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_50.png" border="0" alt="" usemap="#_xs_sv_info"/>
<map name="_xs_sv_info" id="_xs_sv_info">
<area shape="rect" id="node1" href="struct_xs_sv_info.html" title="A container for information of one satellite. " alt="" coords="6,5,77,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_51.png" border="0" alt="" usemap="#_xs_sync_setting"/>
<map name="_xs_sync_setting" id="_xs_sync_setting">
<area shape="rect" id="node1" href="struct_xs_sync_setting.html" title="A structure for storing all xsens sync settings. " alt="" coords="5,5,112,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_52.png" border="0" alt="" usemap="#_xs_time_stamp"/>
<map name="_xs_time_stamp" id="_xs_time_stamp">
<area shape="rect" id="node1" href="struct_xs_time_stamp.html" title="This class contains method to set, retrieve and compare timestamps. " alt="" coords="6,5,109,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_53.png" border="0" alt="" usemap="#_xs_trigger_indication_data"/>
<map name="_xs_trigger_indication_data" id="_xs_trigger_indication_data">
<area shape="rect" id="node1" href="struct_xs_trigger_indication_data.html" title="Data for a trigger indication message. " alt="" coords="5,5,163,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_54.png" border="0" alt="" usemap="#_xs_udev"/>
<map name="_xs_udev" id="_xs_udev">
<area shape="rect" id="node1" href="class_xs_udev.html" title="Class for dynamic loading of winusb. " alt="" coords="5,5,69,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_55.png" border="0" alt="" usemap="#_xs_u_short_vector"/>
<map name="_xs_u_short_vector" id="_xs_u_short_vector">
<area shape="rect" id="node1" href="struct_xs_u_short_vector.html" title="A vector containing 3 short values. " alt="" coords="5,5,120,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_56.png" border="0" alt="" usemap="#_xs_utc_time"/>
<map name="_xs_utc_time" id="_xs_utc_time">
<area shape="rect" id="node1" href="struct_xs_utc_time.html" title="A structure for storing UTC Time values. " alt="" coords="6,5,90,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_57.png" border="0" alt="" usemap="#_xs_vector"/>
<map name="_xs_vector" id="_xs_vector">
<area shape="rect" id="node1" href="struct_xs_vector.html" title="A class that represents a vector of real numbers. " alt="" coords="5,5,80,32"/>
<area shape="rect" id="node2" href="struct_xs_vector3.html" title="A class that represents a fixed size (3) vector. " alt="" coords="129,5,210,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_58.png" border="0" alt="" usemap="#_xs_version"/>
<map name="_xs_version" id="_xs_version">
<area shape="rect" id="node1" href="struct_xs_version.html" title="A class to store version information. " alt="" coords="5,5,85,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_59.png" border="0" alt="" usemap="#_xs_win_usb"/>
<map name="_xs_win_usb" id="_xs_win_usb">
<area shape="rect" id="node1" href="class_xs_win_usb.html" title="Class for dynamic loading of winusb. " alt="" coords="5,5,88,32"/>
</map>
</td></tr>
</table>
</div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Wed May 17 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
